Skip to content

Update Security Profile

Update an existing security profile's name, description, or permissions. Requires ADMIN permissions.

Parameters

name * are required parametersdata typedescription
profileId*stringThe unique identifier of the security profile to update
body.namestringUpdated display name
body.permissionsarrayUpdated list of permission keys
body.descriptionstringUpdated description

Return Value

The updated security profile configuration.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/security-profile/:profileId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Updated Profile Name", "permissions": ["MANAGE_FORM", "MANAGE_TASK", "READ"]}'

ENDPOINTS

put/api/{targetPath}/security-profile/:profileId